Mastodon: Search
Search from Mastodon as JSON. 1 credit per successful call.
GET /v1/mastodon/searchNeeds terms
Note
This endpoint needs the restricted-endpoint terms, which you can accept in your dashboard.
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
instance | string | Optional | Up to 253 characters |
q | string | Required | Up to 500 characters |
type | string | Optional | accounts, hashtags, statuses |
resolve | boolean | Optional | Any |
limit | integer | Optional | Any |
offset | integer | Optional | Any |
exclude_unreviewed | boolean | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/mastodon/search?instance=mastodon.social&q=mastodon&type=accounts&resolve=0&limit=5" \
-H "X-API-Key: $API_KEY"